[Qgis-developer] SAGA Interface

Camilo Polymeris cpolymeris at gmail.com
Thu Mar 31 10:19:06 EDT 2011

> Sorry to insist, but I think this is not a good choice. We already had
> experiance with several non-core C++ plugins, some of them extremely
> useful, and all of them are essentially unavailable to users. On the other
> hand, it is probably unfeasible to add a dependency on SAGA.

What I don't understand is: we'd have the same problems using python.
There are, as far as I know, no Python-saga packages.
Debian's libsaga[2], for instance, does *not* include python bindings.
That means we'd have to compile & ship the python-saga binding
ourselves, anyway. Or am I missing something?

Are you, Gianluca, using the command-line interface to saga or the
python bindings? That former is very interesting as a compile-free
option, but ultimately is limited to certain tasks and to having
saga_cmd installed. Both options (command line and API) are not


[2] http://packages.debian.org/squeeze/amd64/libsaga/filelist

More information about the Qgis-developer mailing list